Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.cmbrowser.controls
Class CmBrowserFoldersControlImpl

    java.lang.Object
      com.bea.apps.groupspace.controls.generic.ContentControlBaseImpl<T,V>
          com.bea.apps.groupspace.controls.generic.FoldersControlBaseImpl<CmBrowserFolder,CmBrowserFolder>
              com.bea.apps.groupspace.cmbrowser.controls.CmBrowserFoldersControlImpl

All Implemented Interfaces
  CmBrowserFoldersControl, ContentControlBase<CmBrowserFolder,CmBrowserFolder>, FoldersControlBase<CmBrowserFolder,CmBrowserFolder>, Serializable

    public class CmBrowserFoldersControlImpl

extends FoldersControlBaseImpl<CmBrowserFolder,CmBrowserFolder>
implements CmBrowserFoldersControl, Serializable

See Also
  Serialized Form

Nested Class Summary
`class` | `CmBrowserFoldersControlImpl.CmBrowserObjectFilter` supports filtering Node objects by checking if they have an ObjectClass and children.

Nested classes/interfaces inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`ContentControlBase.NodeSearchType, ContentControlBase.Params`

Field Summary
`protected ContentContext` | `contentContext`
`protected HashMap<String,Node>` | `fakeNodeMap`
`protected RepositoryRootNode` | `fakeRootNode`
`protected PagedListFactory` | `pagedListFactory`
`protected String` | `repoPath`

Fields inherited from class com.bea.apps.groupspace.controls.generic.ContentControlBaseImpl
`ALL_TYPES, beanClass, contentFactory, DEFAULT_SEARCH_LOAD_SIZE, nodeManager, objectClassType, repoID, repoName, searchManager, typeManager`

Constructor Summary
`CmBrowserFoldersControlImpl()`

Method Summary
`protected CmBrowserFolder` | `createFolderObject(Node node)`
`protected CmBrowserFolder` | `createObject(Node node)` We're creating a Folder from a Node
`ObjectClass` | `createType()`
`CmBrowserFolder` | `findById(String nodeIdString)` Find an item based on its Node ID
`ContentBase` | `findContentById(String nodeIdString)` Find ANY item based on its Node ID.
`protected String[]` | `getAsSearchPaths(String searchPath)`
`ISortableFilterablePagedList<Node>` | `getChildrenViaNode(Node fakeNode)`
`protected String` | `getContentType()`
`Node` | `getFakeNode(String key)`
`CmBrowserFolder` | `getFolder(ID folderId)` Get the Folder of the Node with the supplied ID.
`CmBrowserFolder` | `getFolder(String name, String searchExpression, Node searchFromNode)` Look for a Folder
`CmBrowserFolder` | `getFolder(String name, String searchExpression, Node searchFromNode, CommunityContent.Visibility visibility, String owner)` Look for it before creating.
`protected CmBrowserFolder` | `getFolderByExpression(String topNodeName, String expression, Node communityNode)`
`protected String` | `getFolderContentType()`
`SortableFilterablePagedResult<ContentBase>` | `getImmediateChildrenAsPagedResult(Node node, SortCriteria[] sortCriteria, ContentControlBase.NodeSearchType hierarchySearchType)` Get the immediate children of this item.
`protected String[]` | `getSearchPaths()`
`Node` | `getTopNode()` Get the top-level node of each data type (eg, top Links folder)
`void` | `onCreate()` Put any other init params here.

Methods inherited from class com.bea.apps.groupspace.controls.generic.ContentControlBaseImpl
`cc, createObjectClass, createObjects, createObjects, findMany, findMany, findManyChildren, getAll, getAllChildren, getAllPropertyDefinitions, getDefaultStringValue, getImmediateChildren, getImmediateChildren, getObjectClass, getTopFolder, move, move, recurseRepository, remove, remove, remove, removeAll, update, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`createObjectClass, createObjects, createObjects, findMany, findMany, findManyChildren, getAllPropertyDefinitions, getDefaultStringValue, getImmediateChildren, getImmediateChildren, getObjectClass, getTopFolder, move, move, remove, remove, remove, removeAll, update, update`

Field Detail

### repoPath

    protected String repoPath

### fakeNodeMap

    protected HashMap<String,Node> fakeNodeMap

### fakeRootNode

    protected RepositoryRootNode fakeRootNode

### pagedListFactory

    protected PagedListFactory pagedListFactory

### contentContext

    protected ContentContext contentContext

Constructor Detail

### CmBrowserFoldersControlImpl

    public CmBrowserFoldersControlImpl()

Method Detail

### createType

    public ObjectClass createType()
                           throws NoSuchNodeException,
                                  RepositoryException,
                                  AuthorizationException

  Specified by:
    `createType` in class `ContentControlBaseImpl<CmBrowserFolder,CmBrowserFolder>`
  Throws
    `NoSuchNodeException`
    `RepositoryException`
    `AuthorizationException`

### getTopNode

    public Node getTopNode()
                    throws AuthorizationException,
                           NoSuchNodeException,
                           RepositoryException

  Description copied from interface: `ContentControlBase`
  Get the top-level node of each data type (eg, top Links folder)

  Specified by:
    `getTopNode` in interface `ContentControlBase<CmBrowserFolder,CmBrowserFolder>`
  Specified by:
    `getTopNode` in class `ContentControlBaseImpl<CmBrowserFolder,CmBrowserFolder>`
  Throws
    `AuthorizationException` - throws ControlException - unchecked exception that wraps InstantiationException, IllegalAccessException, InvocationTargetException, NodeMapper.NodeMapperException, AuthenticationException, NoSuchNodeException
    `RepositoryException`
    `NoSuchNodeException`

### getFakeNode

    public Node getFakeNode(String key)

  Specified by:
    `getFakeNode` in interface `CmBrowserFoldersControl`

### getContentType

    protected String getContentType()

  Specified by:
    `getContentType` in class `ContentControlBaseImpl<CmBrowserFolder,CmBrowserFolder>`

### getFolderContentType

    protected String getFolderContentType()

  Specified by:
    `getFolderContentType` in class `ContentControlBaseImpl<CmBrowserFolder,CmBrowserFolder>`

### createObject

    protected CmBrowserFolder createObject(Node node)

  We're creating a Folder from a Node

  Specified by:
    `createObject` in class `ContentControlBaseImpl<CmBrowserFolder,CmBrowserFolder>`

### findById

    public CmBrowserFolder findById(String nodeIdString)
                             throws AuthorizationException,
                                    NoSuchNodeException,
                                    RepositoryException

  Description copied from class: `ContentControlBaseImpl`
  Find an item based on its Node ID

  Specified by:
    `findById` in interface `ContentControlBase<CmBrowserFolder,CmBrowserFolder>`
  Overrides:
    `findById` in class `ContentControlBaseImpl<CmBrowserFolder,CmBrowserFolder>`
  Throws
    `AuthorizationException` - throws ControlException - unchecked exception that wraps InstantiationException, IllegalAccessException, InvocationTargetException, NodeMapper.NodeMapperException, AuthenticationException, NoSuchNodeException
    `RepositoryException`
    `NoSuchNodeException`

### findContentById

    public ContentBase findContentById(String nodeIdString)
                                throws AuthorizationException,
                                       NoSuchNodeException,
                                       RepositoryException

  Description copied from interface: `ContentControlBase`
  Find ANY item based on its Node ID. Throws NoSuchNodeException if nothing is found.

  Specified by:
    `findContentById` in interface `ContentControlBase<CmBrowserFolder,CmBrowserFolder>`
  Throws
    `AuthorizationException` - throws ControlException - unchecked exception that wraps InstantiationException, IllegalAccessException, InvocationTargetException, NodeMapper.NodeMapperException, AuthenticationException, NoSuchNodeException
    `RepositoryException`
    `NoSuchNodeException`

### getImmediateChildrenAsPagedResult

    public SortableFilterablePagedResult<ContentBase> getImmediateChildrenAsPagedResult(Node node,
                                                                                        SortCriteria[] sortCriteria,
                                                                                        ContentControlBase.NodeSearchType hierarchySearchType)
                                                                                 throws AuthorizationException,
                                                                                        NoSuchNodeException,
                                                                                        RepositoryException

  Get the immediate children of this item. Returns null if none are found.

  Specified by:
    `getImmediateChildrenAsPagedResult` in interface `ContentControlBase<CmBrowserFolder,CmBrowserFolder>`
  Specified by:
    `getImmediateChildrenAsPagedResult` in class `ContentControlBaseImpl<CmBrowserFolder,CmBrowserFolder>`
  Throws
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### getChildrenViaNode

    public ISortableFilterablePagedList<Node> getChildrenViaNode(Node fakeNode)
                                                          throws AuthorizationException

  Specified by:
    `getChildrenViaNode` in interface `CmBrowserFoldersControl`
  Throws
    `AuthorizationException`

### getFolder

    public CmBrowserFolder getFolder(ID folderId)
                              throws AuthorizationException,
                                     NoSuchNodeException,
                                     RepositoryException

  Get the Folder of the Node with the supplied ID.

  Specified by:
    `getFolder` in interface `ContentControlBase<CmBrowserFolder,CmBrowserFolder>`
  Overrides:
    `getFolder` in class `ContentControlBaseImpl<CmBrowserFolder,CmBrowserFolder>`
  Throws
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### getFolder

    public CmBrowserFolder getFolder(String name,
                                     String searchExpression,
                                     Node searchFromNode,
                                     CommunityContent.Visibility visibility,
                                     String owner)
                              throws AuthorizationException,
                                     NoSuchNodeException,
                                     RepositoryException

  Look for it before creating. Specify visibility and owner

  Specified by:
    `getFolder` in interface `CmBrowserFoldersControl`
  Throws
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### getFolder

    public CmBrowserFolder getFolder(String name,
                                     String searchExpression,
                                     Node searchFromNode)
                              throws AuthorizationException,
                                     NoSuchNodeException,
                                     RepositoryException

  Look for a Folder

  Specified by:
    `getFolder` in interface `CmBrowserFoldersControl`
  Throws
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### createFolderObject

    protected CmBrowserFolder createFolderObject(Node node)

  Specified by:
    `createFolderObject` in class `ContentControlBaseImpl<CmBrowserFolder,CmBrowserFolder>`

### getFolderByExpression

    protected CmBrowserFolder getFolderByExpression(String topNodeName,
                                                    String expression,
                                                    Node communityNode)
                                             throws AuthorizationException,
                                                    NoSuchNodeException,
                                                    RepositoryException

  Specified by:
    `getFolderByExpression` in class `ContentControlBaseImpl<CmBrowserFolder,CmBrowserFolder>`
  Throws
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### getSearchPaths

    protected String[] getSearchPaths()
                               throws RepositoryException

  Specified by:
    `getSearchPaths` in class `ContentControlBaseImpl<CmBrowserFolder,CmBrowserFolder>`
  Throws
    `RepositoryException`

### getAsSearchPaths

    protected String[] getAsSearchPaths(String searchPath)

  Overrides:
    `getAsSearchPaths` in class `ContentControlBaseImpl<CmBrowserFolder,CmBrowserFolder>`

### onCreate

    public void onCreate()
                  throws org.apache.beehive.controls.api.ControlException

  Put any other init params here. Note they can go on the control interface annotations. See the CM_Control.java file for an example of declaring parameters, and the CM_ControlImpl.jcs file for accessing those parameters

  Throws
    `org.apache.beehive.controls.api.ControlException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved